Bug 13152 - Fix memory hierarchy of deferred requests waiting for readonly revoke
Fix memory hierarchy of deferred requests waiting for readonly revoke
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.10
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-20 01:22 UTC by Amitay Isaacs
Modified: 2017-11-24 11:00 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-6 (2.31 KB, patch)
2017-11-22 04:32 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-7 (2.31 KB, patch)
2017-11-22 04:32 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-11-20 01:22:56 UTC
Recent fix to deferred request handling in bug 12697 creates the deferred requests off ctdb_db context.  They should really be created off the calling contexts.  In case a client disconnects while waiting for readonly revoke, the deferred request will not get freed and will execute callback function with non-existent client context.
Comment 1 Amitay Isaacs 2017-11-22 04:32:18 UTC
Created attachment 13802 [details]
Patches for v4-6
Comment 2 Amitay Isaacs 2017-11-22 04:32:41 UTC
Created attachment 13803 [details]
Patches for v4-7
Comment 3 Martin Schwenke 2017-11-22 04:50:06 UTC
Hi Karolin,

This is ready for 4.6 and 4.7.

Thanks...
Comment 4 Karolin Seeger 2017-11-22 08:22:14 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-11-24 11:00:01 UTC
Pushed to both branches.
Closing out bug report.

Thanks!